## org.eclipse.datatools.connectivity.ui.wizards
Class NewConnectionProfileWizard

    java.lang.Object
      BaseWizard
          org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard

All Implemented Interfaces:
  ICPWizard

public abstract class NewConnectionProfileWizard
extends BaseWizard
implements ICPWizard

Base connection profile wizard

Author:
  shongxum
See Also:
  Serialized Form

Constructor Summary
`NewConnectionProfileWizard()`

Method Summary
`abstract void` `addCustomPages()` Clients needs to add their customized pages here
`void` `addPages()`
`java.lang.String` `getParentProfile()` Clients may override this method to return the real parent profile
`java.lang.String` `getProfileDescription()`
`boolean` `getProfileIsAutoConnect()`
`java.lang.String` `getProfileName()`
`abstract java.util.Properties` `getProfileProperties()` Clients need provide implementation to get extra profile properties
`java.lang.String` `getProfileProviderID()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`void` `initProviderID(java.lang.String providerID)`
`boolean` `performFinish()` Clients need to make "return super.performFinish" as the last line of their code if they want to override this method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewConnectionProfileWizard

    public NewConnectionProfileWizard()

Method Detail

### performFinish

    public boolean performFinish()

  Clients need to make "return super.performFinish" as the last line of their code if they want to override this method

  See Also:
    `Wizard#performFinish`

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  See Also:
    `Wizard#init`

### initProviderID

    public void initProviderID(java.lang.String providerID)

  Specified by:
    `initProviderID` in interface `ICPWizard`
  See Also:
    `org.eclipse.datatools.connectivity.ui.wizards.ICPWizard#setProviderID(java.lang.String)`

### addCustomPages

    public abstract void addCustomPages()

  Clients needs to add their customized pages here

### getProfileProviderID

    public java.lang.String getProfileProviderID()

### getProfileName

    public java.lang.String getProfileName()

### getProfileDescription

    public java.lang.String getProfileDescription()

### getProfileIsAutoConnect

    public boolean getProfileIsAutoConnect()

### getProfileProperties

    public abstract java.util.Properties getProfileProperties()

  Clients need provide implementation to get extra profile properties

  Returns:

### getParentProfile

    public java.lang.String getParentProfile()

  Clients may override this method to return the real parent profile

  Returns:

### addPages

    public void addPages()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.